Subject: bug#62657: PCRE2-related workarounds that GNU grep might need

From: Carlo Arenas <[email-masked]>
Date: Mon, 3 Apr 2023 23:17:18 -0700

On Mon, Apr 3, 2023 at 2:50 PM Paul Eggert <[email-masked]> wrote:
>
>    * Disable PCRE2_UCP unless PCRE2 10.35 or higher.

this is because of a bug in JIT, alternatively JIT could be disabled

>    * If ignoring case and PCRE2_MATCH_INVALID_UTF is defined, then
> enable PCRE2_NO_START_OPTIMIZE unless PCRE2 10.36 or higher.

this one is only triggered when PCRE2_MULTILINE is used, which is not
the case for GNU grep